package game.locations.elevatorInside;

import game.locations.Interactive;

import base.GameSprite;

import aseprite.Aseprite;

class FloorButton extends Interactive {
  var anim: Aseprite;
  var first: Bool;

  public function new(first: Bool) {
    super(true, first ? 1 : null);

    this.first = first;

    anim = new Aseprite('assets/locations/elevatorInside/button');
    anim.x = -anim.width / 2;
    anim.y = -anim.height / 2;
    addChild(anim);
  }

  override function action() {
    if(first) {
      anim.play('on');
      Game.currentGame.playSound('sound/elevator/button.ogg');

      timer(0.5, function() {
        Game.currentGame.setLocation(game.locations.elevatorMove.ElevatorMove);
      });
    } else {
      var variants = [
        'Выход находится на первом этаже',
        'Мне нужно на первый этаж',
        'Нет, мне нужно на первый этаж',
        'Мне не нужно на этот этаж',
        "Нет времени кататься. Я должен идти на раб-\n...\nоту",
        'Зачем мне ехать на этот этаж?',
        'Там мне точно нечего делать'
      ];
      Game.currentGame.say(variants[Std.int(variants.length * Math.random())], false);
    }

    super.action();
  }
}
